<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;

use App\Http\Requests\Admin\AdminsRequest;
use App\Models\User;
use RealRashid\SweetAlert\Facades\Alert;


class AdminsController extends Controller
{


    public function index()
    {
        $rows = User::whereType('admin')->get();

        return view('admin.admin.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.admin.create');
    }

    public function store(AdminsRequest $request)
    {
        $admin = new User();
        $admin->email = $request['email'];
        $admin->type = 'admin';
        $admin->name = $request['name'];
        $admin->password = bcrypt($request['password']);
        $admin->save();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('admins.index');
    }

    public function edit($id)
    {
        $row = User::findOrFail($id);
        return view('admin.admin.edit', compact('row'));
    }

    public function update($id, AdminsRequest $request)
    {
        $admin = User::findOrFail($id);
        $admin->email = $request['email'];
        $admin->name = $request['name'];
        $admin->password = bcrypt($request['password']);
        $admin->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('admins.index');
    }

    public function destroy($id)
    {
        if (User::whereType('admin')->count() == 1) {
            Alert::error('عفوا لا يمكن حذف أخر مدير');
            return back();
        } else {
            User::destroy($id);
            toast('تمت العملية بنجاح', 'success');
            return back();

        }

    }

}
