<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\BanksRequest;
use App\Models\Bank;
use Illuminate\Http\Request;

class BanksController extends Controller
{
    public function index()
    {
        $rows = Bank::all();
        return view('admin.banks.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.banks.create');
    }

    public function store(BanksRequest $request)
    {
        $bank = new Bank();
        $bank['bank_name->ar'] = $request['bank_name_ar'];
        $bank['bank_name->en'] = $request['bank_name_en'];
        if ($request->hasFile('bank_image')) $bank->setBankImageAttribute();
        $bank['account_number'] = $request['account_number'];
        $bank['iban_number'] = $request['iban_number'];
        $bank['account_name'] = $request['account_name'];
        $bank->save();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('banks.index');
    }

    public function edit($id)
    {
        $row = Bank::findOrFail($id);
        return view('admin.banks.edit', compact('row'));
    }

    public function update($id, BanksRequest $request)
    {
        $bank = Bank::findOrFail($id);
        $bank['bank_name->ar'] = $request['bank_name_ar'];
        $bank['bank_name->en'] = $request['bank_name_en'];
        if ($request->hasFile('bank_image')) $bank->setBankImageAttribute();
        $bank['account_number'] = $request['account_number'];
        $bank['iban_number'] = $request['iban_number'];
        $bank['account_name'] = $request['account_name'];
        $bank->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('banks.index');
    }

    public function destroy($id)
    {
        Bank::destroy($id);
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('banks.index');
    }
}
