<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\AdminAuthentication;
use App\Http\Requests\Admin\adminResetPasswordRequests;
use App\Http\Requests\Admin\CheckAdminEmail;
use App\Http\Requests\Admin\CheckSentCodeRequest;
use App\Mail\AdminResetEmail;
use App\Models\Report;
use App\Repositories\Admin\AdminRepository;
use App\Repositories\Admin\EmailsRepository;
use Illuminate\Http\Request;
use RealRashid\SweetAlert\Facades\Alert;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;


class HomeController extends Controller
{


    public function login_form()
    {
        return view('admin.auth.login');
    }

    public function home()
    {
        return view('admin.auth.index');
    }

    public function authenticate(AdminAuthentication $request)
    {

        if (\Auth::attempt(['email' => $request['email'], 'password' => $request['password'], 'type' => 'admin'])) {


            toast('مرحبا بكم في لوحة التحكم', 'success', 'left');

            return redirect()->route('dashboard');
        } else {
            Alert::error('خطأ في البيانات', 'البريد الإلكتروني أو الرقم السري خطأ');

            return redirect()->back();
        }


    }


    public function admin_logout()
    {
        \Auth::logout();
        toast('تم تسجيل الخروج بنجاح', 'success', 'top-left');

        return redirect()->route('admin_login');
    }



}
