<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Admin\PackagesRequest;
use App\Models\Package;
use Illuminate\Http\Request;

class PackagesController extends Controller
{
    public function index()
    {
        $rows = Package::all();
        return view('admin.packages.index', compact('rows'));
    }

    public function create()
    {
        return view('admin.packages.create');
    }

    public function store(PackagesRequest $request)
    {
        $package = new Package();
        $package['title->ar'] = $request['title_ar'];
        $package['title->en'] = $request['title_en'];
        $package['description->ar'] = $request['description_ar'];
        $package['description->en'] = $request['description_en'];
        $package['price'] = $request['price'];
        $package['duration'] = $request['duration'];
        $package->save();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('packages.index');
    }

    public function edit($id)
    {
        $row = Package::findOrFail($id);
        return view('admin.packages.edit', compact('row'));
    }

    public function update($id, PackagesRequest $request)
    {
        $package = Package::findOrFail($id);
        $package['title->ar'] = $request['title_ar'];
        $package['title->en'] = $request['title_en'];
        $package['description->ar'] = $request['description_ar'];
        $package['description->en'] = $request['description_en'];
        $package['price'] = $request['price'];
        $package['duration'] = $request['duration'];
        $package->update();
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('packages.index');
    }

    public function destroy($id)
    {
        Package::destroy($id);
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->route('packages.index');
    }
}
