<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\DeviceToken;
use App\Models\Token;
use App\Models\Transfer;
use Carbon\Carbon;
use Edujugon\PushNotification\PushNotification;
use Illuminate\Http\Request;

class TransfersController extends Controller
{
    public function index()
    {
        $rows = Transfer::orderByDesc('id')->get();
        return view('admin.transfers.index', compact('rows'));
    }

    public function destroy($id)
    {
        Transfer::destroy($id);
        toast('تمت العمليه بنجاح', 'success');
        return redirect()->back();
    }

    public function changeStatus($flag, $id)
    {
        $transfer = Transfer::findOrFail($id);
        $transfer->status = $flag;
        $transfer->update();
        if ($flag == 'accepted') {


            $provider = $transfer->user;
            $package = $transfer->package;

            $provider->subscription_id = $package->id;
            $provider->end_subscription = Carbon::now()->addDays($package->duration);
            $provider->update();

            $tokens = Token::whereStatus('connected')->where('user_id', $provider->id)->get();
            foreach ($tokens as $token) {
                if ($token->device_language = 'ar') {
                    $title = "تمت الموافقه علي الاشتراك";
                    $body = "تم الموافقه علي الاشتراك المرسل من قل الخاص بالباقه  {$package->title['ar']}";
                } else {
                    $title = "Subscription approved";
                    $body = "Subscription approved for package {$package->title['en']}";
                }
                $push = new PushNotification('fcm');

                if ($token->device_type == 'ios') {

                    $msg = [
                        'data' => [
                            'title_ar' => "تمت الموافقه علي الاشتراك",
                            'title' => $title,
                            'body' => $body,
                            'title_en' => "Subscription approved",
                            'body_ar' => "تم الموافقه علي الاشتراك المرسل من قل الخاص بالباقه  {$package->title['ar']}",
                            'body_en' => "Subscription approved for package {$package->title['en']}",
                            'type' => 'admin',

                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'notification' => [
                            'title_ar' => "تمت الموافقه علي الاشتراك",
                            'title_en' => "Subscription approved",
                            'body_ar' => "تم الموافقه علي الاشتراك المرسل من قل الخاص بالباقه  {$package->title['ar']}",
                            'body_en' => "Subscription approved for package {$package->title['en']}",
                            'title' => $title,
                            'body' => $body,
                            'type' => 'admin',
                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();

                } else {
                    $msg = [
                        'data' => [
                            'title_ar' => "تمت الموافقه علي الاشتراك",
                            'title_en' => "Subscription approved",
                            'body_ar' => "تم الموافقه علي الاشتراك المرسل من قل الخاص بالباقه  {$package->title['ar']}",
                            'body_en' => "Subscription approved for package {$package->title['en']}",
                            'title' => $title,
                            'body' => $body,
                            'type' => 'admin',

                            'sound' => 'default',
                            'click_action' => 'FCM_PLUGIN_ACTIVITY',
                        ],
                        'priority' => 'high',
                    ];
                    $push->setMessage($msg)
                        ->setDevicesToken($token->token)
                        ->send();

                }

            }
        }


        toast('تمت العملية بنجاح', 'success');
        return redirect()->back();

    }
}
