<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use RealRashid\SweetAlert\Facades\Alert;

class checkMobileValidAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (isset($request['mobile'])) {
            $phoneUtil = \libphonenumber\PhoneNumberUtil::getInstance();
            try {
                $swissNumberProto = $phoneUtil->parse($request['mobile'], 'SA');
                $is_valid = $phoneUtil->isValidNumber($swissNumberProto);

                if ($is_valid == false) {
                    Alert::error('عفوا صيغه الرقم الجوال خطأ');
                    return redirect()->back();
                }

            } catch (\libphonenumber\NumberParseException $e) {
                print_r($e);
            }


            return $next($request);
        }

        return $next($request);
    }
}
