<?php

namespace App\Http\Requests\Api;

use App\Http\Requests\REQUEST_API_PARENT;
use Illuminate\Foundation\Http\FormRequest;

class SubscriptionRequest extends REQUEST_API_PARENT
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'package_id' => 'required|exists:packages,id',
            'bank_id' => 'required|exists:banks,id',
            'bank_name' => 'required',
            'amount' => 'required',
            'transfer_number' => 'required',
            'transfer_date' => 'required',
            'transfer_owner' => 'required',
            'image' => 'required|image'
        ];
    }
}
