<?php

namespace App\Http\Requests\Api;

use App\Http\Requests\REQUEST_API_PARENT;
use Illuminate\Foundation\Http\FormRequest;

class UsersRequests extends REQUEST_API_PARENT
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        if (request()->email != '-1') {
            $emailValidation = 'unique:users,email|email|max:191';
        } else {
            $emailValidation = 'nullable';
        }
        return [
            'name' => 'required|max:191',
            'email' => $emailValidation,
            'mobile' => 'required|unique:users,mobile',
            'city_id' => 'required|exists:cities,id',
            'password' => 'required|confirmed|max:191|min:6',
            'password_confirmation' => 'required',
            'type' => 'required|in:client,provider',
            'category_id' => 'required_if:type,provider|exists:categories,id',
            'device_token' => 'required|max:191',
            'device_type' => 'required|in:ios,android'
        ];
    }
}
