<?php

namespace App\Http\Resources\Api;

use App\Models\User;
use Illuminate\Http\Resources\Json\JsonResource;
use JWTAuth;

class UsersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $user = User::find($this->id);
        $myTTL = 60 * 60 * 365; //minutes
        JWTAuth::factory()->setTTL($myTTL);
        $token = JWTAuth::fromUser($user);
        $lang = $request->header('Accept-Language', 'ar');
        return [
            'id' => $this->id,
            'name' => $this->name,
            'mobile' => $this->mobile,
            'email' => $this->email ? $this->email : '',
            'type' => $this->type,
            'verification_code' => $this->verification_code ? (string) $this->verification_code : '',
            'verification_status' => $this->verification_status ? $this->verification_status : '',
            'status' => $this->status,
            'image' => $this->profile_image ? asset('images/users/' . $this->profile_image) : '',
            'category_id' => $this->category_id ? (integer)$this->category_id : 0,
            'subscription_id' => $this->subscription_id ? (integer)$this->subscription_id : 0,
            'inSubscribe'=>$this->in_subscribe,
            'city_id' => $this->city_id ? (integer)$this->city_id : 0,
            'city_name' => $this->city_id ? $this->city->title[\App::getLocale()] : '',
            'admin_accept' => $this->admin_accept,
            'token' => $token
        ];


    }
}
