<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Bank extends Model
{
    use HasFactory;

    protected $table = 'banks';
    protected $casts = ['bank_name'=>'json'];
    protected $fillable = ['bank_name', 'bank_image', 'account_number', 'iban_number', 'account_name'];

    public function setBankImageAttribute()
    {
        $file = request()->file('bank_image');
        $destinationPath = 'images/banks/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['bank_image'] = $filename;
    }


    public function getBankImageAttribute()
    {
        if ($this->attributes['bank_image']) {
            return asset('images/banks/') . '/' . $this->attributes['bank_image'];
        }
        return asset('logo.png');
    }

}
