<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Transfer extends Model
{
    use HasFactory;

    protected $table = 'transfers';
    protected $fillable = [
        'user_id',
        'package_id',
        'bank_id',
        'status',
        'bank_name',
        'amount',
        'transfer_number',
        'transfer_date',
        'transfer_owner',
        'image'
    ];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function package()
    {
        return $this->belongsTo(Package::class, 'package_id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');

    }
    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/transfers/';
        $filename = time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }


    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/transfers/') . '/' . $this->attributes['image'];
        }
        return asset('logo.png');
    }
}
