@extends('admin.layout.master')
@section('title', 'البنوك')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">البنوك</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">إنشاء جديد</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('banks.store')}}" enctype="multipart/form-data">
                            @csrf
                            <div class="row">


                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">إسم البنك باللغه العربية</label>
                                    <input type="text" class="form-control" value="{{old('bank_name_ar')}}" required
                                           name="bank_name_ar"
                                           id="exampleInputEmail1"
                                           placeholder="إسم البنك باللغه العربية">
                                    @if ($errors->has('bank_name_ar'))
                                        <small class="text-danger">{{ $errors->first('bank_name_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">إسم البنك باللغه الإنجليزية</label>
                                    <input type="text" class="form-control" value="{{old('bank_name_en')}}" required
                                           name="bank_name_en"
                                           id="exampleInputEmail1"
                                           placeholder="إسم البنك باللغه الإنجليزية">
                                    @if ($errors->has('bank_name_en'))
                                        <small class="text-danger">{{ $errors->first('bank_name_en') }}</small>
                                    @endif
                                </div>

                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">رقم الحساب</label>
                                    <input type="text" class="form-control" value="{{old('account_number')}}" required
                                           name="account_number"
                                           id="exampleInputEmail1"
                                           placeholder="رقم الحساب">
                                    @if ($errors->has('account_number'))
                                        <small class="text-danger">{{ $errors->first('account_number') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">رقم الأيبان</label>
                                    <input type="text" class="form-control" value="{{old('iban_number')}}" required
                                           name="iban_number"
                                           id="exampleInputEmail1"
                                           placeholder="رقم الأيبان">
                                    @if ($errors->has('iban_number'))
                                        <small class="text-danger">{{ $errors->first('iban_number') }}</small>
                                    @endif
                                </div>
                                <div class="form-group col-md-6">
                                    <label for="exampleInputEmail1">إسم الحساب</label>
                                    <input type="text" class="form-control" value="{{old('account_name')}}" required
                                           name="account_name"
                                           id="exampleInputEmail1"
                                           placeholder="إسم الحساب">
                                    @if ($errors->has('account_name'))
                                        <small class="text-danger">{{ $errors->first('account_name') }}</small>
                                    @endif
                                </div>


                            </div>


                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة البنك</h4>
                                        <input type="file" name="bank_image" class="dropify"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('bank_image'))
                                    <small class="text-danger">{{ $errors->first('bank_image') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">حفظ</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
