@extends('admin.layout.master')
@section('title', 'تعديل البيانات الشخصية')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تعديل البيانات الشخصية</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('clients.update',$row->id)}}" enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')
                            <div class="form-group">
                                <label for="exampleInputEmail1">الاسم</label>
                                <input type="text" class="form-control" value="{{$row->name}}" name="name"
                                       placeholder="الاسم">
                                @if ($errors->has('name'))
                                    <small class="text-danger">{{ $errors->first('name') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">البريد الألكترونى</label>
                                <input type="email" class="form-control" value="{{$row->email}}" name="email"
                                       id="exampleInputEmail1"
                                       placeholder="البريد الألكترونى">
                                @if ($errors->has('email'))
                                    <small class="text-danger">{{ $errors->first('email') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم الجوال</label>
                                <input type="text" class="form-control" required value="{{$row->mobile}}" name="mobile"
                                       id="exampleInputEmail1"
                                       placeholder="رقم الجوال">
                                @if ($errors->has('mobile'))
                                    <small class="text-danger">{{ $errors->first('mobile') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">المدينة</label>
                                <select name="city_id" class="form-control" required>
                                    <option disabled selected> إختر مدينة</option>
                                    @foreach($cities as $city)
                                        <option
                                            value="{{$city->id}}"{{$row->city_id == $city->id ? "selected" :''}}>{{$city->title['ar']}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الحالة</label>
                                <select name="status" class="form-control" required>

                                    <option {{$row->status == 'active' ? "selected" : ''}} value="active">مفعل</option>
                                    <option {{$row->status == 'not_active' ? "selected" : ''}} value="not_active">غير
                                        مفعل
                                    </option>
                                </select>
                            </div>

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة </h4>
                                        <input type="file" name="profile_image" class="dropify"
                                               data-default-file="{{asset('images/users/'.$row->image)}}"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('profile_image'))
                                    <small class="text-danger">{{ $errors->first('profile_image') }}</small>
                                @endif
                            </div>


                            <div class="form-group">
                                <label for="exampleInputPassword1">الرقم السري</label>
                                <input name="password" type="password" class="form-control"
                                       id="exampleInputPassword1" placeholder="الرقم السري">
                                @if ($errors->has('password'))
                                    <small class="text-danger">{{ $errors->first('password') }}</small>
                                @endif

                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
