@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('settings.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')


                            <div class="card-box">
                                <div class="form-group">
                                    <label for="about">عن التطبيق بالعربية</label>
                                    <textarea class="form-control tinymce"
                                              name="about_ar" cols="50"
                                              placeholder="عن التطبيق بالعربية"
                                              rows="10">{{$row ? $row->about['ar'] : ''}}</textarea>
                                    @if ($errors->has('about_ar'))
                                        <small class="text-danger">{{ $errors->first('about_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="about">عن التطبيق بالانجليزية</label>
                                    <textarea class="form-control tinymce"
                                              name="about_en" cols="50"
                                              placeholder="عن التطبيق بالانجليزية"
                                              rows="10">{{$row ? $row->about['en'] : ''}}</textarea>
                                    @if ($errors->has('about_en'))
                                        <small class="text-danger">{{ $errors->first('about_en') }}</small>
                                    @endif
                                </div>


                                <div class="form-group">
                                    <label for="about">الشروط والأحكام باللغه العربية</label>
                                    <textarea class="form-control tinymce"
                                              name="terms_ar" cols="50"
                                              placeholder="الشروط والأحكام باللغه العربية"
                                              rows="10">{{$row ? $row->terms['ar'] : ''}}</textarea>
                                    @if ($errors->has('terms_ar'))
                                        <small
                                            class="text-danger">{{ $errors->first('terms_ar') }}</small>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label for="about">الشروط والأحكام
                                        باللغه الإنجليزية</label>
                                    <textarea class="form-control tinymce"
                                              name="terms_en" cols="50"
                                              placeholder="الشروط والأحكام باللغه الإنجليزية"
                                              rows="10">{{$row ? $row->terms['en'] : ''}}</textarea>
                                    @if ($errors->has('terms_en'))
                                        <small
                                            class="text-danger">{{ $errors->first('terms_en') }}</small>
                                    @endif
                                </div>
                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
