@extends('admin.layout.master')
@section('title', "تحويلات الاشتراكات")
@section('content')

    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تحويلات الاشتراكات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title">تحويلات الاشتراكات</h4>


                <table id="datatable" class="table table-bordered dt-responsive nowrap"
                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>الباقه</th>
                        <th>إسم المشترك</th>
                        <th>البنك</th>
                        <th>الحالة</th>
                        <th>البنك المرسل من</th>
                        <th>المبلغ</th>
                        <th>رقم التحويل</th>
                        <th>تاريخ التحويل</th>
                        <th>مالك التحويل</th>
                        <th>صورة التحويل</th>


                        <th>التحكم</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    $i = 1;
                    ?>
                    @foreach($rows as $row)
                        <tr>
                            <td>{{$i}}</td>
                            <td>{{$row->package->title['ar']}}</td>
                            <td>{{$row->user->name}}</td>
                            <td>{{$row->bank->bank_name['ar']}}</td>
                            <td>
                                @if($row->status == 'new')
                                    جديد
                                @elseif($row->status == 'accepted')
                                    تم الموافقة

                                @elseif($row->status == 'refused')
                                    تم الرفض

                                @endif
                            </td>
                            <td>{{$row->bank_name}}</td>
                            <td>{{$row->amount}}</td>
                            <td>{{$row->transfer_number}}</td>
                            <td>{{$row->transfer_date}}</td>
                            <td>{{$row->transfer_owner}}</td>
                            <td><img src="{{$row->image}}" width="300px"></td>

                            <td>
                                <button type="button" class="btn btn-danger waves-effect waves-light"
                                        data-toggle="modal" data-target="#myModal{{$row->id}}">حذف
                                </button>
                                @if($row->status == 'new')

                                    <a href="{{route('changeStatus',['flag'=>'accepted','transfer_id'=>$row->id])}}">
                                        <button type="button"
                                                class="btn btn-info waves-effect waves-light">الموافقة
                                        </button>
                                    </a>
                                    <a href="{{route('changeStatus',['flag'=>'refused','transfer_id'=>$row->id])}}">
                                        <button type="button"
                                                class="btn btn-info waves-effect waves-light">رفض
                                        </button>
                                    </a>

                                @endif

                            </td>


                            <div id="myModal{{$row->id}}" class="modal fade" tabindex="-1" role="dialog"
                                 aria-labelledby="myModalLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="myModalLabel">حذف العنصر</h5>
                                            <button type="button" class="close" data-dismiss="modal"
                                                    aria-hidden="true">×
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <h5 class="font-16">هل تريد الحذف ؟</h5>

                                        </div>
                                        <div class="modal-footer">

                                            <form method="post" enctype="multipart/form-data"
                                                  action="{{route('transfers.destroy',$row->id)}}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="button" class="btn btn-light waves-effect"
                                                        data-dismiss="modal">إلغاء
                                                </button>
                                                <button type="submit"
                                                        class="btn btn-danger waves-effect waves-light">حذف
                                                </button>
                                            </form>


                                        </div>
                                    </div><!-- /.modal-content -->
                                </div><!-- /.modal-dialog -->
                            </div>


                        </tr>
                        <?php
                        $i++;
                        ?>
                    @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div> <!-- end row -->



@stop
